Bug 66259 - submenu offset is too far down and to the left
submenu offset is too far down and to the left
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gtk2 (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-06 16:36 EDT by Garrett LeSage
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 16:09:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of current submenu alignment (30.45 KB, image/png)
2002-06-06 16:36 EDT, Garrett LeSage
no flags Details
Proposed menu alignment (29.59 KB, image/png)
2002-06-06 16:37 EDT, Garrett LeSage
no flags Details

  None (edit)
Description Garrett LeSage 2002-06-06 16:36:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
When traversing menu heiarchy, the menus are shoved down and to the left. The
tops of the selections (the parent selection and the firstmost submenu
selection) should be aligned vertically, and the selections should not be
overlapped. The submenu should, however, overlap the parent menu by about two
pixels, I believe.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start up a GTK+ based application
2.Click on a menu
3.Navigate to a sub-menu
	

Additional info:

I will upload example screenshots of GTK+'s menus.
Comment 1 Garrett LeSage 2002-06-06 16:36:59 EDT
Created attachment 59964 [details]
Screenshot of current submenu alignment
Comment 2 Garrett LeSage 2002-06-06 16:37:35 EDT
Created attachment 59965 [details]
Proposed menu alignment
Comment 3 Owen Taylor 2002-10-31 19:09:22 EST
Same as http://bugzilla.gnome.org/show_bug.cgi?id=96557
Comment 4 Owen Taylor 2003-07-28 16:09:01 EDT
has been fixed upstream (default is aligned, can be changed via
style properties.) We'll pick it up with GTK+-2.4.

Note You need to log in before you can comment on or make changes to this bug.